Bug 598715 - XMMS no sound, system sounds OK
XMMS no sound, system sounds OK
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 17:43 EDT by Bruce vaNorman
Modified: 2011-06-27 13:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:17:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce vaNorman 2010-06-01 17:43:41 EDT
Description of problem:
XMMS has no sound. Using same settings that worked with FC11.
plugin: alsa 1.2.11 [libALSA.so]
Audio device: default (other settings do not work just like FC11)
software volume control: off
Mixer card: SB Audigy2 ZS [SB0350]
Mixer device: Master

System | Preferences | Sound
Configuration (hardware): Digital Stereo (IEC958) output, and analog stereo input. It passes it's speaker test (both left & right).

Version-Release number of selected component (if applicable):
xmms-1.2.11-10.20071117cvs.fc13.i686
xmms-libs-1.2.11-10.20071117cvs.fc13.i686
xmms-mp3-1.2.11-3.20071117cvs.fc11.i586
uname -r:   2.6.33.5-112.fc13.i686.PAE

How reproducible:
consistent, also true on previous FC13 kernel

Steps to Reproduce:
1.start XMMS
2.play file
3.
  
Actual results:
No sound

Expected results:
Sound

Additional info:
Connection is IEC958 co-ax to Cambridge Soundworks Dolby Digital (5.1)
Comment 1 Bruce vaNorman 2010-06-19 17:38:16 EDT
VLC generates sound (at last) two changes occurred during the last test effort. Don't know which did the repair.
1 - update to "gstreamer" v0.10.29-2.fc13.i686
2. renamed "/usr/lib/vlc/meta_data/libtaglib_plugin.so" started "vlc", renamed the file back. Repair is "permanent", even across re-boots.
---
Tested with a standard audio (PCM/WAV) CD, no sound. VLC produces sound (hw: 0,3). I have tried all the ALSA output configurations. When I set XMMS ALSA output to hw:0,3 (not done with working fc11 version) I get the "please check that:" ... message. Same is true with everything except hw:0,0.
Comment 2 Paul F. Johnson 2010-06-19 20:07:39 EDT
Odd - works fine here for me (using rawhide)

Try setting the device to ALSA with and just select the default for the output.

What is pulse audio device chooser showing?

Are you trying to play mp3 files (remember, if it's an MP3, try with a non-mp3 and if it works, report the fault to the rpmfusion guys who provide the mp3 support)
Comment 3 Bug Zapper 2011-06-02 08:26:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 13:17:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.